org.jfree.xml

## Interface ElementDefinitionHandler

- All Known Implementing Classes:
    AbstractElementDefinitionHandler

      public interface ElementDefinitionHandler

  A element definition handler. The element definition handler is used to represent a certain parser state. The current state is set in the parser using the pushFactory() method. The parser forwards any incoming SAXEvent to the current handler, until the handler is removed with popFactory().
  Author:
    Thomas Morgner

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] ch, int start, int length)` Callback to indicate that some character data has been read.
    `void` | `endElement(java.lang.String tagName)` Callback to indicate that an XML element end tag has been read by the parser.
    `Parser` | `getParser()` Returns the parser.
    `void` | `startElement(java.lang.String tagName, org.xml.sax.Attributes attrs)` Callback to indicate that an XML element start tag has been read by the parser.

- - ### Method Detail

    - #### startElement

          void startElement(java.lang.String tagName,
                          org.xml.sax.Attributes attrs)
                            throws org.xml.sax.SAXException

      Callback to indicate that an XML element start tag has been read by the parser.
      Parameters:
        `tagName` - the tag name.
        `attrs` - the attributes.
      Throws:
        `org.xml.sax.SAXException` - if a parser error occurs or the validation failed.

    - #### characters

          void characters(char[] ch,
                        int start,
                        int length)
                          throws org.xml.sax.SAXException

      Callback to indicate that some character data has been read.
      Parameters:
        `ch` - the character array.
        `start` - the start index for the characters.
        `length` - the length of the character sequence.
      Throws:
        `org.xml.sax.SAXException` - if a parser error occurs or the validation failed.

    - #### endElement

          void endElement(java.lang.String tagName)
                          throws org.xml.sax.SAXException

      Callback to indicate that an XML element end tag has been read by the parser.
      Parameters:
        `tagName` - the tag name.
      Throws:
        `org.xml.sax.SAXException` - if a parser error occurs or the validation failed.

    - #### getParser

          Parser getParser()

      Returns the parser.
      Returns:
        The parser.